local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ModCallbackCustom = require("enums.ModCallbackCustom")
local ModCallbackCustom = ____ModCallbackCustom.ModCallbackCustom
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultGridEntityDisplayCallback = ____utils.defaultGridEntityDisplayCallback
____exports.DebugDisplayPressurePlate = __TS__Class()
local DebugDisplayPressurePlate = ____exports.DebugDisplayPressurePlate
DebugDisplayPressurePlate.name = "DebugDisplayPressurePlate"
__TS__ClassExtends(DebugDisplayPressurePlate, Feature)
function DebugDisplayPressurePlate.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultGridEntityDisplayCallback
    self.postPressurePlateRender = function(____, pressurePlate)
        local text = self:textCallback(pressurePlate)
        renderTextOnEntity(nil, pressurePlate, text)
    end
    self.customCallbacksUsed = {{ModCallbackCustom.POST_PRESSURE_PLATE_RENDER, self.postPressurePlateRender}}
end
return ____exports
